> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # AddSecret POST https://api.voximplant.com/platform_api/AddSecret Adds a new secret. **Example request:** Add a new secret to application 1 Reference: https://docs.voximplant.ai/api-reference/management-api/reference/secrets/add-secret ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `application_id` (integer, optional) — Application ID to add the secret to. **Required** unless **application_name** is provided. - `application_name` (string, optional) — Application name. **Required** unless **application_id** is provided. - `secret_name` (string, required) — Secret name. The name must start with a Latin letter and can contain up to 64 characters, including Latin letters, digits and underscores - `secret_value` (string, required) — Secret value. Maximum length is 8192 characters - `description` (string, optional) — Optional. Secret description. When processing, the length is truncated to the first 200 characters ## Response ### 200 Successful response - `result` (AddSecretResult, optional) — Result with the added secret ID ## Types ### AddSecretResult The [AddSecret] function result - `secret_id` (integer, optional) — Added secret ID ## Examples **Response** ```json { "result": { "secret_id": 10 } } ``` **SDK Code** ```python Secret successfully created import requests url = "https://api.voximplant.com/platform_api/AddSecret" querystring = {"secret_name":"secret_name","secret_value":"secret_value"} headers = {"Authorization": "Bearer "} response = requests.post(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript Secret successfully created const url = 'https://api.voximplant.com/platform_api/AddSecret?secret_name=secret_name&secret_value=secret_value'; const options = {method: 'POST', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Secret successfully created package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/AddSecret?secret_name=secret_name&secret_value=secret_value" req, _ := http.NewRequest("POST", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Secret successfully created require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/AddSecret?secret_name=secret_name&secret_value=secret_value") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Secret successfully created import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/AddSecret?secret_name=secret_name&secret_value=secret_value") .header("Authorization", "Bearer ") .asString(); ``` ```php Secret successfully created request('POST', 'https://api.voximplant.com/platform_api/AddSecret?secret_name=secret_name&secret_value=secret_value', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Secret successfully created using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/AddSecret?secret_name=secret_name&secret_value=secret_value"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Secret successfully created import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/AddSecret?secret_name=secret_name&secret_value=secret_value")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```